Android Studio 升级到3.0后出现编译错误\.gradle\caches\transforms-1\files-1.1\***** 解决办法

原创 2018年04月17日 13:49:57


Android Studio 升级到3.0后出现各种编译问题,其中有一个问题是关于资源找不到的问题,百度了半天,也没有相关的文章

C:\Users.gradle\caches\transforms-1\files-1.1***-release.aar\be5ab119cbd836d03696974a1ba79815\res\values\values.xml

最后上网查了半天,终于找到一个类似问题的解决方案,是AAPT2的一个问题

解决方案: 
关掉AAPT2即可 
在Project/gradle.properties中添加 android.enableAapt2=false

具体详情查看 
原文章地址:http://blog.csdn.net/pkandroid/article/details/76150213

然后百度了下AAPT2,结果就有一堆相关的文章,其中有一篇文章写的很详细,这里列一下链接,有兴趣的朋友可以看看

Android AAPT详解:https://www.jianshu.com/p/8d691b6bf8b4

可能你设置后,还是报错:

compile 'com.android.support:appcompat-v7:26.1.0'
改为:
compile 'com.android.support:appcompat-v7:25.1.0'版本改第一点,即可(但是这样下面该依赖下面会报一条红线,可以先不管他)




Android Studio运行时gradle错误

在使用友盟时出现了gradle错误,之后发现是友盟推送jar文件与okio.jar冲突
  • FrancisBingo
  • FrancisBingo
  • 2016-05-11 10:13:16
  • 2758

Android Studio 升级到3.0后出现编译错误\.gradle\caches\transforms-1\files-1.1\*****-release.aar

Android Studio 升级到3.0后出现各种编译问题,其中有一个问题是关于资源找不到的问题,百度了半天,也没有相关的文章 C:\Users.gradle\caches\transforms-...
  • qq_33337504
  • qq_33337504
  • 2018-01-22 15:33:58
  • 1716

当Android Studio 3.0遇上Jenkins

今日快讯 近日有爆料称:多名高中生被学校强迫在富士康郑州工厂实习,采用11小时轮班制,他们每天最多能组装1200个iPhone X摄像头。对此苹果和富士康表示,这些学生是自愿工作的,也获...
  • c10WTiybQ1Ye3
  • c10WTiybQ1Ye3
  • 2017-11-24 00:00:00
  • 388

Android studio 集成arr包,遇到的坑

项目需求,需要引入一个arr 1.把.arr放入libs目录下,同时在builde.gradle中dependencies{ compile(name: 'xxxxxx', ext: 'aar')...
  • zjw369144735
  • zjw369144735
  • 2017-11-21 17:29:27
  • 482

C:\Users\Administrator\.gradle\caches\transforms-1\files-1.1\appcompat-v7-26.1.0.aar

最近Studio升级到3.0 后,新建一个项目,什么都没有添加就报错,烦都烦死了错误日志如下:C:\Users\Administrator\.gradle\caches\transforms-1\fi...
  • wolfking0608
  • wolfking0608
  • 2018-03-14 17:33:19
  • 945

安卓studio 异常 appcompat-v7\23.0.0\res\values-v23\values-v23.xml

最近想学习一下Andorid开发,使用AndoridStudio向导创建一个项目出错。 C:\Users\John\AndroidStudioProjects\HellowWorld\app\bui...
  • rnZuoZuo
  • rnZuoZuo
  • 2015-08-29 09:15:31
  • 4053

AndroidStudio升级gradle插件版本到2.3.1异常

AndroidStudio升级gradle插件版本到2.3.1之后不能运行了,提示MultiDex找不到,由此引发了很多问题。开始升级插件版本升级到2.3.1,配置project / build.gr...
  • chendong_
  • chendong_
  • 2017-05-26 21:12:30
  • 824

appCompact-v7自动更新至28.0.0之后,项目开始报错,没法运行了

C:\Users\LRP1989\.gradle\caches\transforms-1\files-1.1\appcompat-v7-28.0.0-alpha1.aar\90f3d5231b775a...
  • lrpshuai
  • lrpshuai
  • 2018-03-08 15:04:51
  • 275

Hello World Android App, Error: workspace\appcompat_v7\res\values-v21\styles_base.xml No resource fo

You will see the error at values-v21, it is said that you have not install Android API21. if you ins...
  • luguoqiang_12
  • luguoqiang_12
  • 2015-02-25 00:13:15
  • 1295

Error:Failed to create directory 'C:\Users\Administrator\.gradle\caches\2.8\scripts\ijinit7_5jx13p26

android stutio出现Error:Failed to create directory 'C:\Users\Administrator\.gradle\caches\2.8\scripts\...
  • fleshmens
  • fleshmens
  • 2016-05-18 11:43:17
  • 3158
收藏助手
不良信息举报
您举报文章:Android Studio 升级到3.0后出现编译错误\.gradle\caches\transforms-1\files-1.1\***** 解决办法
举报原因:
原因补充:

(最多只允许输入30个字)